<?php

namespace Src\Modules\Auth\Interfaces\Infrastructure\PersistLayer;

use Src\Modules\Auth\Interfaces\Dto\Admin\IAdminPersist;

interface IAdminsLayer
{
    public function setTable(string $table): void;
    public function insert(IAdminPersist $dto): int;
    public function update(IAdminPersist $dto): int;
    public function delete(string $adminId): int;
}